Package org.h2.expression.function

# Enum Class ToCharFunction.Capitalization

java.lang.Object
java.lang.Enum<ToCharFunction.Capitalization>
org.h2.expression.function.ToCharFunction.Capitalization

All Implemented Interfaces:
  `Serializable`, `Comparable<ToCharFunction.Capitalization>`, `Constable`

Enclosing class:
  ToCharFunction

public static enum ToCharFunction.Capitalization extends Enum<ToCharFunction.Capitalization>
Represents a capitalization / casing strategy.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CAPITALIZE`
The string is capitalized (first letter uppercased, subsequent letters lowercased).
`LOWERCASE`
All letters are lowercased.
`UPPERCASE`
All letters are uppercased.

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(String s)`
Applies this capitalization strategy to the specified string.
`static ToCharFunction.Capitalization`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ToCharFunction.Capitalization[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UPPERCASE

public static final ToCharFunction.Capitalization UPPERCASE
All letters are uppercased.

### LOWERCASE

public static final ToCharFunction.Capitalization LOWERCASE
All letters are lowercased.

### CAPITALIZE

public static final ToCharFunction.Capitalization CAPITALIZE
The string is capitalized (first letter uppercased, subsequent letters lowercased).

## Method Details

### values

public static ToCharFunction.Capitalization[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ToCharFunction.Capitalization valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### apply

public String apply(String s)
Applies this capitalization strategy to the specified string.

Parameters:
  `s` - the string to apply this strategy to
Returns:
  the resultant string